Subject: Re: bug#40125: Problem with guix offload: Remote channel closed

From: Mikael Djurfeldt <[email-masked]>
Date: Sun, 22 Mar 2020 23:13:36 +0100

On Sun, Mar 22, 2020 at 10:56 PM Mikael Djurfeldt <[email-masked]>
wrote:

> On Sun, Mar 22, 2020 at 10:40 PM Mikael Djurfeldt <[email-masked]>
> wrote:
>
>> On Sun, Mar 22, 2020 at 9:46 PM Ludovic Courtès <[email-masked]> wrote:
>>
>>> Mikael Djurfeldt <[email-masked]> skribis:
>>>
>>> We’re missing a tiny bit.  :-)  Could you run strace with ‘-s 3000’ or
>>> similar so that it doesn’t truncate it?
>>>
>>> (The “strange characters” are Unicode HORIZONTAL ELLIPSIS.)
>>>
>>
>> Ah... :)
>>
>> Here's a larger chunk of backtrace:
>>
>> 19530 read(20, "Backtrace:\n          13 (apply-smob/1 #<catch-closure
>> 563a9e2f92a0>)\nIn ice-9/boot-9.scm:\n    718:2 12 (call-with-prompt
>> (\"prompt\") #<procedure 563a9e3167e0 \342\200\246> \342\200\246)\nIn
>> ice-9/eval.scm:\n    619:8 11 (_ #(#(#<directory (guile-user)
>> 563a9e39a750>)))\nIn ice-9/command-line.scm:\n   181:18 10 (_ #<input:
>> string 563a9e3a8bd0>)\nIn unknown file:\n           9 (eval (begin
>> (use-modules (guix) (srfi srfi-34) # #) \342\200\246) #)\nIn
>> ice-9/eval.scm:\n   721:20  8 (primitive-eval (begin (use-modules (guix)
>> (srfi \342\200\246) \342\200\246) \342\200\246))\nIn ice-9/psyntax.scm:\n
>>  1241:36  7 (expand-top-sequence ((begin (use-modules (guix) \342\200\246)
>> \342\200\246)) \342\200\246)\n  1194:19  6 (parse _ ((\"placeholder\"
>> placeholder)) ((top) #(# # \342\200\246)) \342\200\246)\n  1233:19  5
>> (parse _ ((\"placeholder\" placeholder)) ((top) #(# # \342\200\246))
>> \342\200\246)\n   285:10  4 (parse _ ((\"placeholder\" placeholder)) (()) _
>> c&e (eval) \342\200\246)\nIn ice-9/boot-9.scm:\n  3389:20  3
>> (process-use-modules _)\n   222:17  2 (map1 (((guix)) ((srfi srfi-34))
>> ((rnrs io ports)) (#)))\n  3390:31  1 (_ ((guix)))\n   2809:6  0
>> (resolve-interface (guix) #:select _ #:hide _ #:prefix _
>> \342\200\246)\n\nice-9/boot-9.scm:2809:6: In procedure
>> resolve-interface:\nno code for module (guix)\n", 16384) = 1150
>>
>
> I think I understand part of the problem. It's not guix guile which is
> invoked on wand but the guile which I have installed under /usr/local. But
> why is this? guix as well as guile-ssh is installed at wand.
>

Which guile is it supposed to use? Which version and which "fusion of
modules"? And how are these supposed to be found on the build machine.
Looking in the strace, it seems like a bash shell with "guile -c" is
started without any path information.

(Not sure that I even ask the right questions.)